Package org.eclipse.handly.ui.viewer

# Enum Class ProblemLabelDecorator.Severity

java.lang.Object
java.lang.Enum<ProblemLabelDecorator.Severity>
org.eclipse.handly.ui.viewer.ProblemLabelDecorator.Severity

All Implemented Interfaces:
  `Serializable`, `Comparable<ProblemLabelDecorator.Severity>`, `Constable`

Enclosing class:
  `ProblemLabelDecorator`

protected static enum ProblemLabelDecorator.Severity extends Enum<ProblemLabelDecorator.Severity>
Indicates problem severity.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ERROR`
  `WARNING`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ProblemLabelDecorator.Severity`
  `max(ProblemLabelDecorator.Severity a, ProblemLabelDecorator.Severity b)`
  Returns the more severe of the two `Severity` values.
  `static ProblemLabelDecorator.Severity`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ProblemLabelDecorator.Severity[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ERROR

    public static final ProblemLabelDecorator.Severity ERROR

  - ### WARNING

    public static final ProblemLabelDecorator.Severity WARNING

- ## Method Details

  - ### values

    public static ProblemLabelDecorator.Severity[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ProblemLabelDecorator.Severity valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### max

    public static ProblemLabelDecorator.Severity max(ProblemLabelDecorator.Severity a, ProblemLabelDecorator.Severity b)
    Returns the more severe of the two `Severity` values.
    Parameters:
      `a` - may be `null`
      `b` - may be `null`
    Returns:
      the more severe of `a` and `b`. Returns `null` iff both values are `null`